<?PHP

session_start(); 

include_once('conf/config.php');
include_once('conf/ELOconfig.php');
include_once('lib/utils.php');

CheckSession();

include_once('lib/chessdb.php');
include_once('lib/dbwrapper.php');

############################################################
function checkSelectedUser() {
############################################################
    $userStat = array();
    $oppList  = array();
    $found = 0;
    $usrID = (isset($_GET["usrID"])) ? $_GET["usrID"] : "-1";
    $existingUsers = SelUser("*","user_group_id <> 1");
    while($tmpPlayer = GetFetchArray($existingUsers)){
	if ($tmpPlayer['id'] == $usrID){
	    if ($tmpPlayer['active'] != 0){
	    	$userStat['id'] = $tmpPlayer['id'];
	    	$userStat['login_name'] = $tmpPlayer['login_name'];
	    	$userStat['new'] = 1;
	    	$found = 1;
	
	    	if($_SESSION['usrStat']['id'] != $userStat['id'])
	   	    $_SESSION['usrStat'] = $userStat;
	    } 
    	}else{
	    $oppList[$tmpPlayer['id']] = $tmpPlayer['login_name'];
    	}
    }
    if($found == 0)
	$_SESSION['usrStat'] = 0;	 
    return $oppList;
}

############################################################
function loadUserStatistic(){
############################################################
    if ($_SESSION['usrStat'] == 0)
	return;
    if($_SESSION['usrStat']['new'] == 1){
	$_SESSION['usrStat']['new'] = 0;
    $wonWhite = $lostWhite = $remisWhite = $abortWhite = $eloWhite = 0;
    $wonBlack = $lostBlack = $remisBlack = $abortBlack = $eloBlack = 0;
    $tmpw = $tmpl = $tmpr = $tmpa = 0;
    $playedGames = 0;
    $abortgames = 0;
    $tunrfreqall = 0;
    $tunrfreq = 0;
    $opp = array();

    $wheStr = "user_id = ".$_SESSION['usrStat']['id']." AND user_id_opp <> 0";
    $ordStr = "id DESC";
    $tmpElorating = SelStatistic("*",$wheStr,$ordStr);
    $gamescount = GetNumRows($tmpElorating);
    if ($gamescount > 0){
  	$firstline = 0;
  	$countlines = 0;	    
  	while($thisElorating = GetFetchArray($tmpElorating)){
	    if($firstline == 0){
  		$elorate 	= $thisElorating['elo_rate'];
		$elochange	= $thisElorating['elo_change'];
		$tunrfreq	= $thisElorating['turn_freq'];
		$playedGames = $thisElorating['id'];
  		$firstline = 1;
  	    }
  	    $abortgamesall 	+= $thisElorating['game_abort'];
	    $tunrfreqall	+= $thisElorating['turn_freq'];
	    $elochangeall	+= $thisElorating['elo_change'];
	    $oid 		 = $thisElorating['user_id_opp'];
	    $opp[$oid]['cnt']	+= 1;
	    if($thisElorating['user_color'] == "W"){
		switch($thisElorating['result']){
			case 'W': 
			    $wonWhite   	+= 1; 
			    $opp[$oid]['ww'] 	+= 1;	
			    break;
			case 'L': 
			    $lostWhite  	+= 1; 
			    $opp[$oid]['lw'] 	+= 1;	
			    break;
			case 'R': 
			    $remisWhite 	+= 1; 
			    $opp[$oid]['rw'] 	+= 1;	
			    break;
			case 'A': 
			    $abortWhite 		+= 1; 
			    $opp[$oid]['aw'] 	+= 1;
			    break;
		}
		$opp[$oid]['elow'] 	+= $thisElorating['elo_change'];
		$eloWhite 		+= $thisElorating['elo_change'];
	    }else{
		switch($thisElorating['result']){
			case 'W': 
			    $wonBlack   	+= 1; 
			    $opp[$oid]['wb'] 	+= 1;	
			    break;
			case 'L': 
			    $lostBlack  	+= 1; 
			    $opp[$oid]['lb'] 	+= 1; 	
			    break;
			case 'R': 
			    $remisBlack 	+= 1; 
			    $opp[$oid]['rb'] 	+= 1;	
			    break;
			case 'A': 
			    $abortBlack 	+= 1; 
			    $opp[$oid]['ab'] 	+= 1;	
			    break;
		}
		$opp[$oid]['elob'] 	+= $thisElorating['elo_change'];
		$eloBlack 		+= $thisElorating['elo_change'];
	    }


	    if($countlines < $GLOBALS[CFG_ELO_RELIAB_LINES])
		$abortgames += $thisElorating['game_abort'];
	    $countlines += 1;
	}
		

	$tmpw = round(($wonBlack + $wonWhite)/ $gamescount * 100);
	$tmpl = round(($lostBlack + $lostWhite)/ $gamescount * 100);
	$tmpr = round(($remisBlack + $remisWhite)/ $gamescount * 100);
	$tmpa = round(($abortBlack + $abortWhite)/ $gamescount * 100);
	$tunrfreqall = round($tunrfreqall/$gamescount);
	$elochangeall = round($elochangeall / $gamescount);
    }else{
        $elorate = $_SESSION['TXT']['NotRated'];
	$tunrfreqall = 0;
	$tunrfreq = 0;
	$tmpw = $tmpl = $tmpr = $tmpa = 0;
	$elochangeall = 0;
	$elochange = 0;
    }

    // get all active games
    $row = 0;
    $wheStr  = "( whitePlayer = ".$_SESSION['usrStat']['id']."";
    $wheStr .= " OR blackPlayer = ".$_SESSION['usrStat']['id']." ) AND gameMessage = ''";
    $tmpGames = SelGames("*",$wheStr);
    $row = GetNumRows($tmpGames);
    if ($row > 0)
        $activgames = $row;
    else
    	$activgames = 0;

    //reliability 
    if($abortgames == 0)
        $reli = 100;
    else{
	if($GLOBALS[CFG_ELO_RELIAB_LINES] >= $gamescount)
	    $gamecnt = $gamescount;
	else
	    $gamecnt = $GLOBALS[CFG_ELO_RELIAB_LINES];

	$goodgames = $gamecnt - $abortgames;
        if($goodgames == 0)
            $reli	= 0;
        else
            $reli	= round($goodgames/$gamecnt*100);
    }
    $_SESSION['usrStat']['wonWhite']	= $wonWhite;
    $_SESSION['usrStat']['lostWhite']	= $lostWhite;
    $_SESSION['usrStat']['remisWhite']	= $remisWhite;
    $_SESSION['usrStat']['abortWhite']	= $abortWhite;
    $_SESSION['usrStat']['eloWhite']	= $eloWhite;
    $_SESSION['usrStat']['wonBlack']	= $wonBlack;
    $_SESSION['usrStat']['lostBlack']	= $lostBlack;
    $_SESSION['usrStat']['remisBlack']	= $remisBlack;
    $_SESSION['usrStat']['abortBlack']	= $abortBlack;
    $_SESSION['usrStat']['eloBlack']	= $eloBlack;
    $_SESSION['usrStat']['elorate']	= $elorate;
    $_SESSION['usrStat']['reli']	= $reli;
    $_SESSION['usrStat']['activgames']	= $activgames;
    $_SESSION['usrStat']['tunrfreqall']	= $tunrfreqall;
    $_SESSION['usrStat']['tunrfreq']	= $tunrfreq;
    $_SESSION['usrStat']['tmpw']	= $tmpw;
    $_SESSION['usrStat']['tmpl']	= $tmpl;
    $_SESSION['usrStat']['tmpr']	= $tmpr;
    $_SESSION['usrStat']['tmpa']	= $tmpa;
    $_SESSION['usrStat']['wonsum']	= $wonWhite + $wonBlack;
    $_SESSION['usrStat']['lostsum']	= $lostWhite + $lostBlack;
    $_SESSION['usrStat']['remissum']	= $remisWhite + $remisBlack;
    $_SESSION['usrStat']['abortsum']	= $abortWhite + $abortBlack;
    $_SESSION['usrStat']['elosum']	= $eloWhite + $eloBlack;
    $_SESSION['usrStat']['playedGames'] = $playedGames;
    $_SESSION['usrStat']['gamescount']  = $gamescount;
    $_SESSION['usrStat']['elochange']  	= $elochange;
    $_SESSION['usrStat']['elochangeall']= $elochangeall;
    $_SESSION['usrStat']['opp']		= $opp;
    }
}

############################################################
function dispUserStatistic(){
############################################################
    echo "<table class ='tabbord1' width='100%'>\n";
    echo " <tr><th class='th_std' colspan='6'>".$_SESSION['TXT']['GamesInStatistic'].": ".$_SESSION['usrStat']['gamescount']."</th>\n";
    echo " <tr><th class='th_std'></th>";
    echo "     <th class='th_std'>".$_SESSION['TXT']['Won']."</th>";
    echo "     <th class='th_std'>".$_SESSION['TXT']['Lost']."</th>";
    echo "     <th class='th_std'>".$_SESSION['TXT']['Draw']."</th>\n";
    echo "     <th class='th_std'>".$_SESSION['TXT']['Aborted']."</th>\n";
    echo "     <th class='th_std' >".$_SESSION['TXT']['EloPoints'].$_SESSION['TXT']['EloChange']."</th>\n";
    echo " </tr><tr class='tr_std'>\n";
    echo "  <td>".$_SESSION['TXT']['WithWhite']."</td>\n";
    echo "  <td>".$_SESSION['usrStat']['wonWhite']."</td>\n";
    echo "  <td>".$_SESSION['usrStat']['lostWhite']."</td>\n";
    echo "  <td>".$_SESSION['usrStat']['remisWhite']."</td>\n";
    echo "  <td>".$_SESSION['usrStat']['abortWhite']."</td>\n";

    if($_SESSION['usrStat']['eloWhite'] >= 0)
	echo "  <td class='tr_std' style='color:#006600'>".formatEloChange($_SESSION['usrStat']['eloWhite'])."</td>\n";
    else
	echo "  <td class='tr_std' style='color:#AA0000'>".formatEloChange($_SESSION['usrStat']['eloWhite'])."</td>\n";
 
    echo " </tr><tr class='tr_std_l'>\n";
    echo "  <td>".$_SESSION['TXT']['WithBlack']."</td>\n";
    echo "  <td>".$_SESSION['usrStat']['wonBlack']."</td>\n";
    echo "  <td>".$_SESSION['usrStat']['lostBlack']."</td>\n";
    echo "  <td>".$_SESSION['usrStat']['remisBlack']."</td>\n";
    echo "  <td>".$_SESSION['usrStat']['abortBlack']."</td>\n";
    
    if($_SESSION['usrStat']['eloBlack'] >= 0)
	echo "  <td class='tr_std_l' style='color:#006600'>".formatEloChange($_SESSION['usrStat']['eloBlack'])."</td>\n";
    else
	echo "  <td class='tr_std_l' style='color:#AA0000'>".formatEloChange($_SESSION['usrStat']['eloBlack'])."</td>\n";

    echo " </tr><tr class='tr_std'>\n";
    echo "  <td><b>".$_SESSION['TXT']['Total']."</b></td>\n";
    echo "  <td><b>".$_SESSION['usrStat']['wonsum']."</b></td>\n";
    echo "  <td><b>".$_SESSION['usrStat']['lostsum']."</b></td>\n";
    echo "  <td><b>".$_SESSION['usrStat']['remissum']."</b></td>\n";
    echo "  <td><b>".$_SESSION['usrStat']['abortsum']."</b></td>\n";
    
    if($_SESSION['usrStat']['elosum'] >= 0)
	echo "  <td class='tr_std' style='color:#006600'><b>".formatEloChange($_SESSION['usrStat']['elosum'])."</b></td>\n";
    else
	echo "  <td class='tr_std' style='color:#AA0000'><b>".formatEloChange($_SESSION['usrStat']['elosum'])."</b></td>\n";

    echo " </tr><tr class='tr_std_l'>\n";
    echo "  <td><b>".$_SESSION['TXT']['Total']." %</b></td>\n";
    echo "  <td><b>".$_SESSION['usrStat']['tmpw']."</b></td>\n";
    echo "  <td><b>".$_SESSION['usrStat']['tmpl']."</b></td>\n";
    echo "  <td><b>".$_SESSION['usrStat']['tmpr']."</b></td>\n";
    echo "  <td><b>".$_SESSION['usrStat']['tmpa']."</b></td>\n";
    echo "  <td></td>\n";
    echo " </tr>\n";
    echo "</table>\n";
}

############################################################
function dispOppStatistic($oppList){
############################################################
    echo "<form name='SelOpp' action=''>\n";

    echo "<table class ='tabbord1' width='100%'>\n";
    echo " <tr><th class='th_std' colspan='6'>".$_SESSION['usrStat']['login_name']." vs ";
    echo "<select class='edit3' name='opp' OnChange='showOppStat(this)'>\n";
    echo "<option value='0'></option>\n";
    $opp =  $_SESSION['usrStat']['opp'];   
    for ($i = 1; $i <= sizeof($opp); $i++){
	$k = key($opp);
	echo "<option value='$i'>$oppList[$k]</option>\n";
	next($opp);
    }
    echo "</select>\n";
    echo "</th>";
    echo " <tr><th class='th_std' ></th>";
    echo "     <th class='th_std' >".$_SESSION['TXT']['Won']."</th>";
    echo "     <th class='th_std' >".$_SESSION['TXT']['Lost']."</th>";
    echo "     <th class='th_std' >".$_SESSION['TXT']['Draw']."</th>\n";
    echo "     <th class='th_std' >".$_SESSION['TXT']['Aborted']."</th>\n";
    echo "     <th class='th_std' >".$_SESSION['TXT']['EloPoints'].$_SESSION['TXT']['EloChange']."</th>\n";
    echo " </tr><tr class='tr_std'>\n";
    echo "  <td>".$_SESSION['TXT']['WithWhite']."</td>\n";
    echo "  <td><input class='inputCL1' name='ww' type='text' size='3' value='0' readonly></td>\n";
    echo "  <td><input class='inputCL1' name='lw' type='text' size='3' value='0' readonly></td>\n";
    echo "  <td><input class='inputCL1' name='rw' type='text' size='3' value='0' readonly></td>\n";
    echo "  <td><input class='inputCL1' name='aw' type='text' size='3' value='0' readonly></td>\n";
    echo "  <td><input class='inputCL1' name='elow' type='text' size='5' value='0' readonly></td>\n";
    echo " </tr><tr class='tr_std_l'>\n";
    echo "  <td>".$_SESSION['TXT']['WithBlack']."</td>\n";
    echo "  <td><input class='inputCL2' name='wb' type='text' size='3' value='0' readonly></td>\n";
    echo "  <td><input class='inputCL2' name='lb' type='text' size='3' value='0' readonly></td>\n";
    echo "  <td><input class='inputCL2' name='rb' type='text' size='3' value='0' readonly></td>\n";
    echo "  <td><input class='inputCL2' name='ab' type='text' size='3' value='0' readonly></td>\n";
    echo "  <td><input class='inputCL2' name='elob' type='text' size='5' value='0' readonly></td>\n";
    echo " </tr><tr class='tr_std'>\n";
    echo "  <td><b>".$_SESSION['TXT']['Total']."</b></td>\n";
    echo "  <td><input class='inputCB1' name='swwb' type='text' size='3' value='0' readonly></td>\n";
    echo "  <td><input class='inputCB1' name='slwb' type='text' size='3' value='0' readonly></td>\n";
    echo "  <td><input class='inputCB1' name='srwb' type='text' size='3' value='0' readonly></td>\n";
    echo "  <td><input class='inputCB1' name='sawb' type='text' size='3' value='0' readonly></td>\n";
    echo "  <td><input class='inputCB1' name='selowb' type='text' size='5' value='0' readonly></td>\n";
    echo " </tr><tr class='tr_std_l'>\n";
    echo "  <td><b>".$_SESSION['TXT']['Total']." %</b></td>\n";
    echo "  <td><input class='inputCB2' name='swwbp' type='text' size='3' value='0' readonly></td>\n";
    echo "  <td><input class='inputCB2' name='slwbp' type='text' size='3' value='0' readonly></td>\n";
    echo "  <td><input class='inputCB2' name='srwbp' type='text' size='3' value='0' readonly></td>\n";
    echo "  <td><input class='inputCB2' name='sawbp' type='text' size='3' value='0' readonly></td>\n";
    echo "  <td></td>\n";
    echo " </tr>\n";
    echo "</table>\n";

    echo "</form>\n";
}

############################################################
function dispPlayerInfo($oppList) {
############################################################
    echo "<table class ='tabbord1' width='80%' cellpadding='3'>\n";
    if ($_SESSION['usrStat'] == 0)
    	echo " <tr><th class='th_std' style='color:#AA0000'>".$_SESSION['TXT']['UnknownPlayer']."</th></tr>\n";
    else{
	echo " <tr><th class='th_std' colspan='4'>".$_SESSION['usrStat']['login_name']."</th></tr>\n";
	echo " <tr height='40px'>\n";
        echo "  <td class='td_inv1' width='20%' >".$_SESSION['TXT']['EloPoints']."</td>\n";
	echo "  <td class='tr_std' width='1%'><b>:</b></td>";
	echo "  <td class='td_inv2'><b>".$_SESSION['usrStat']['elorate']."</b></td>\n";
	echo "  <td class='tr_std' width='55%' rowspan='4'>";
	dispUserStatistic();
	echo "  </td>\n";
	echo " </tr><tr height='40px'>\n";
	echo "  <td class='td_inv1'>".$_SESSION['TXT']['EloPoints']." ".$_SESSION['TXT']['EloChange']."<br>".$_SESSION['TXT']['LastGame']."</td>\n";
	echo "  <td class='tr_std'><b>:</b></td>";
	
 	if($_SESSION['usrStat']['elochange'] >= 0)
	    echo "  <td class='td_inv2' style='color:#006600'><b>".formatEloChange($_SESSION['usrStat']['elochange'])."</b></td>\n";
	else
	    echo "  <td class='td_inv2' style='color:#AA0000'><b>".formatEloChange($_SESSION['usrStat']['elochange'])."</b></td>\n";

	echo " </tr><tr height='40px'>\n";
	echo "  <td class='td_inv1'>".$_SESSION['TXT']['EloPoints']." ".$_SESSION['TXT']['EloChange']."<br>".$_SESSION['TXT']['AveragePerGame']."</td>\n";
	echo "  <td class='tr_std'><b>:</b></td>";
 	
	if($_SESSION['usrStat']['elochangeall'] >= 0)
	    echo "  <td class='td_inv2' style='color:#006600'><b>".formatEloChange($_SESSION['usrStat']['elochangeall'])."</b></td>\n";
	else
	    echo "  <td class='td_inv2' style='color:#AA0000'><b>".formatEloChange($_SESSION['usrStat']['elochangeall'])."</b></td>\n";

	echo " </tr><tr height='40px'>\n";
	echo "  <td class='td_inv1'>".$_SESSION['TXT']['Reliability']."</td>\n";
	echo "  <td class='tr_std'><b>:</b></td>";
	echo "  <td class='td_inv2'><b>".$_SESSION['usrStat']['reli']."%</b></td>\n";
	echo " </tr><tr height='40px'>\n";
	echo "  <td class='td_inv1'>".$_SESSION['TXT']['ActiveGames']."</td>\n";
	echo "  <td class='tr_std'><b>:</b></td>";
	echo "  <td class='td_inv2'><b>".$_SESSION['usrStat']['activgames']."</b></td>\n";
	echo "  <td class='tr_std'></td>\n";
	echo " </tr><tr height='40px'>\n";
	echo "  <td class='td_inv1'>".$_SESSION['TXT']['PlayedGames']."</td>\n";
	echo "  <td class='tr_std'><b>:</b></td>";
	echo "  <td class='td_inv2'><b>".$_SESSION['usrStat']['playedGames']."</b></td>\n";
	echo "  <td class='tr_std' rowspan='4'>";
	dispOppStatistic($oppList);
	echo "  </td>\n";
	echo " </tr><tr height='40px'>\n";
	echo "  <td class='td_inv1'>".$_SESSION['TXT']['TurnFreq']."<br>".$_SESSION['TXT']['LastGame']."</td>\n";
	echo "  <td class='tr_std'><b>:</b></td>";
	echo "  <td class='td_inv2'>".formatTurnFrequence($_SESSION['usrStat']['tunrfreq'])."</td>\n";
	echo " </tr><tr height='40px'>\n";
	echo "  <td class='td_inv1'>".$_SESSION['TXT']['TurnFreq']."<br>".$_SESSION['TXT']['AveragePerGame']."</td>\n";
	echo "  <td class='tr_std'><b>:</b></td>";
	echo "  <td class='td_inv2'>".formatTurnFrequence($_SESSION['usrStat']['tunrfreqall'])."</td>\n";
	echo " </tr><tr height='40px'>\n";
	echo "  <td class='td_inv1'></td>\n";
	echo "  <td class='tr_std'><b>:</b></td>";
	echo "  <td class='td_inv2'><b></b></td>\n";
	echo " </tr>\n";
    }
    echo "</table>\n";
    echo "<br>\n";
}

############################################################
function formatTurnFrequence($turnFreq){
############################################################
    $sec = 0;
    $min = 0;
    $hour = 0;
    $days = 0;
    $sec	= $turnFreq%60;
    $tmp 	= floor($turnFreq/60);
    $outstr = "<b>".$sec."</b> ".$_SESSION['TXT']['Seconds']." ";
    if($tmp > 0){
	$min = $tmp%60; 
	$tmp = floor($tmp/60); 
	$outstr = "<b>".$min."</b> ".$_SESSION['TXT']['Minutes'].", <b>".$sec."</b> ".$_SESSION['TXT']['Seconds']." "; 
    }
    if($tmp > 0){
	$hour = $tmp%24; 
	$days = floor($tmp/24); 
	$outstr = "<b>".$hour."</b> ".$_SESSION['TXT']['Hours'].", <b>".$min."</b> ".$_SESSION['TXT']['Minutes']." "; 
    } 
    if($days > 0){
	$outstr = "<b>".$days."</b> ".$_SESSION['TXT']['Days'].", <b>".$hour."</b> ".$_SESSION['TXT']['Hours']." "; 
    }
    return $outstr;
}

############################################################
function formatEloChange($elch){
############################################################
    if($elch > 0)
	return "+".$elch;
    else
	return $elch;
}

############################################################
function dispJSUserInfo() {
############################################################
    echo "<script type='text/javascript'>\n";

    echo ("var opp = new Array();\n");
    $opp =  $_SESSION['usrStat']['opp'];  
    echo "opp[0] = new Array(0,0,0,0,0,0,0,0,0,0,0);\n";
    for ($i = 1; $i <= sizeof($opp); $i++){
	$k = key($opp);
	echo "opp[$i] = new Array(";
	if($opp[$k]['ww'] != '') echo $opp[$k]['ww'].","; else echo "0,";
	if($opp[$k]['lw'] != '') echo $opp[$k]['lw'].","; else echo "0,";
	if($opp[$k]['rw'] != '') echo $opp[$k]['rw'].","; else echo "0,";
	if($opp[$k]['aw'] != '') echo $opp[$k]['aw'].","; else echo "0,";
	if($opp[$k]['elow'] != '') echo $opp[$k]['elow'].","; else echo "0,";
	if($opp[$k]['wb'] != '') echo $opp[$k]['wb'].","; else echo "0,";
	if($opp[$k]['lb'] != '') echo $opp[$k]['lb'].","; else echo "0,";
	if($opp[$k]['rb'] != '') echo $opp[$k]['rb'].","; else echo "0,";
	if($opp[$k]['ab'] != '') echo $opp[$k]['ab'].","; else echo "0,";
	if($opp[$k]['elob'] != '') echo $opp[$k]['elob'].","; else echo "0,";
	if($opp[$k]['cnt']!= '') echo $opp[$k]['cnt']; else echo "0";
	echo ");\n";
	next($opp);
    }
    echo " function showOppStat(select){\n";
    echo "  var id = select.options[select.options.selectedIndex].value;\n";
    echo "  document.SelOpp.ww.value = opp[id][0];\n";
    echo "  document.SelOpp.lw.value = opp[id][1];\n";
    echo "  document.SelOpp.rw.value = opp[id][2];\n";
    echo "  document.SelOpp.aw.value = opp[id][3];\n";
    echo "  document.SelOpp.elow.style.color = getColor(opp[id][4]);\n";
    echo "  document.SelOpp.elow.value = formatElo(opp[id][4]);\n";
    echo "  document.SelOpp.wb.value = opp[id][5];\n";
    echo "  document.SelOpp.lb.value = opp[id][6];\n";
    echo "  document.SelOpp.rb.value = opp[id][7];\n";
    echo "  document.SelOpp.ab.value = opp[id][8];\n";
    echo "  document.SelOpp.elob.style.color = getColor(opp[id][9]);\n";
    echo "  document.SelOpp.elob.value = formatElo(opp[id][9]);\n";
    echo "  var tmpp = 0;\n"; 
    echo "  var tmp  = opp[id][0] + opp[id][5];\n";
    echo "  document.SelOpp.swwb.value = tmp;\n";
    echo "  document.SelOpp.swwbp.value = getPercent(tmp,opp[id][10]);\n";
    echo "  tmp  = opp[id][1] + opp[id][6];\n";
    echo "  document.SelOpp.slwb.value = tmp;\n";
    echo "  document.SelOpp.slwbp.value = getPercent(tmp,opp[id][10]);\n";
    echo "  tmp  = opp[id][2] + opp[id][7];\n";
    echo "  document.SelOpp.srwb.value = tmp;\n";
    echo "  document.SelOpp.srwbp.value = getPercent(tmp,opp[id][10]);\n";
    echo "  tmp  = opp[id][3] + opp[id][8];\n";
    echo "  document.SelOpp.sawb.value = tmp;\n";
    echo "  document.SelOpp.sawbp.value = getPercent(tmp,opp[id][10]);\n";
    echo "  document.SelOpp.selowb.style.color = getColor(opp[id][4] + opp[id][9]);\n";
    echo "  document.SelOpp.selowb.value = formatElo(opp[id][4] + opp[id][9]);\n";
    echo " }\n";
    
    echo " function getPercent(val,cnt){\n";
    echo "  if(cnt != 0)\n";
    echo "    return Math.round(val / cnt * 100);\n";
    echo "  else\n";
    echo "    return 0;\n";
    echo " }\n";

    echo " function formatElo(val){\n";
    echo "  if(val > 0)\n";
    echo "    return '+' + val;\n";
    echo "  else \n";
    echo "    return val;\n";
    echo " }\n";

    echo " function getColor(val){\n";
    echo "  if(val >= 0)\n";
    echo "    return '#006600';\n";
    echo "  else \n";
    echo "    return '#AA0000';\n";
    echo " }\n";
    echo "</script>\n";
}

############################################################
function dispPlayerInfoPage() {
############################################################
    $oppList = checkSelectedUser();
    loadUserStatistic();
    echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
    echo "<html><head>\n";
    echo "<meta http-equiv='content-type' content='text/html; charset=UTF-8'>\n";
    echo " <title>WebChessNG - ".$_SESSION['TXT']['TitlePlayerInfo']."</title>\n";
    echo " <link rel='stylesheet' type='text/css' href='template/".$_SESSION['pref_theme']."/webchess.css'>\n";
    dispJSUserInfo();
    echo "</head><body onload='document.SelOpp.opp.focus()'><br>\n";
    echo "<center>\n";	
    $pagetitel = $_SESSION['TXT']['TitlePlayerInfo'];
    displayMenu($pagetitel); 
    dispPlayerInfo($oppList);
    dispfootNote();
    echo "</center>\n";
    echo "</body>\n";
    echo "</html>\n";
}

dispPlayerInfoPage();

?>
